<?php
/**
 * NewsRepublic Dynamic Styles
 *
 * @package NewsRepublic
 */

function newsrepublic_dynamic_css()
{

    $newsrepublic_default = newsrepublic_get_default_theme_options();

    $logo_width_range = get_theme_mod('logo_width_range', $newsrepublic_default['logo_width_range']);

    $twp_newsrepublic_home_sections_4 = get_theme_mod('twp_newsrepublic_home_sections_4', json_encode($newsrepublic_default['twp_newsrepublic_home_sections_4']));
    $twp_newsrepublic_home_sections_4 = json_decode($twp_newsrepublic_home_sections_4);


    echo "<style type='text/css' media='all'>"; ?>

    .site-logo .custom-logo{
    max-width:  <?php echo esc_attr($logo_width_range); ?>px;
    }
    
    <?php echo "</style>";
}

add_action('wp_head', 'newsrepublic_dynamic_css', 100);

/**
 * Sanitizing Hex color function.
 */
function newsrepublic_sanitize_hex_color($color)
{

    if ('' === $color)
        return '';
    if (preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color))
        return $color;

}