<?php
/**
 * Header file for the NewsRepublic WordPress theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package NewsRepublic
 * @since 1.0.0
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
if (function_exists('wp_body_open')) {
    wp_body_open();
} ?>

<?php
$newsrepublic_default = newsrepublic_get_default_theme_options();

$ed_preloader = get_theme_mod('ed_preloader', $newsrepublic_default['ed_preloader']);
if ($ed_preloader) { ?>

    <div class="preloader hide-no-js">
        <div class="theme-loader">
            <div class="dot dot-1"></div>
            <div class="dot dot-2"></div>
            <div class="dot dot-3"></div>
        </div>
        <svg xmlns="http://www.w3.org/2000/svg" version="1.1">
            <defs>
                <filter id="flubber">
                    <feGaussianBlur in="SourceGraphic" stdDeviation="10" result="blur"></feGaussianBlur>
                    <feColorMatrix in="blur" values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 21 -7"></feColorMatrix>
                </filter>
            </defs>
        </svg>
    </div>

<?php } ?>

<div id="page" class="hfeed site">
    <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to the content', 'newsrepublic'); ?></a>

    <?php newsrepublic_header_ad(); ?>

    <?php
    get_template_part('template-parts/header/header', 'content'); ?>

    <?php newsrepublic_header_banner(); ?>

    <div id="content" class="site-content">