<?php
/**
 * Default Values.
 *
 * @package NewsRepublic
 */

if (!function_exists('newsrepublic_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function newsrepublic_get_default_theme_options(){

        $newsrepublic_defaults = array();

        $newsrepublic_defaults['twp_newsrepublic_home_sections_4'] = array(

            array(
                'home_section_type' => 'main-banner',
                'section_ed' => 'yes',
                'home_section_title_1' => esc_html__('Column Title Two','newsrepublic'),
                'home_section_title_4' => esc_html__('Column Title One','newsrepublic'),
                'section_post_cat_1' => '',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'home_section_title_3' => esc_html__('Column Title Three','newsrepublic'),
                'section_category_3' => '',
            ),
            array(
                'home_section_type' => 'tiles-blocks',
                'section_ed' => 'no',
                'section_category' => '',
                'tiles_post_per_page' => 5,
            ),
            array(
                'home_section_type' => 'banner-blocks-1',
                'section_ed' => 'no',
                'section_category_1' => '',
                'section_category_2' => '',
                'ed_flip_column' => 'no',
                'ed_tab' => 'no',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'home_section_title_1' => esc_html__('Block Title One','newsrepublic'),
                'home_section_title_2' => esc_html__('Block Title Tab','newsrepublic'),
            ),
            array(
                'home_section_type' => 'latest-posts-blocks',
                'section_ed' => 'yes',
                'section_video_ratio' => 'default',
                'section_video_autoplay' => 'autoplay-disable',
            ),
            array(
                'home_section_type' => 'advertise-blocks',
                'section_ed' => 'no',
                'advertise_image' => '',
                'advertise_link' => '',
            ),
            array(
                'home_section_type' => 'home-widget-area',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'you-may-like-blocks',
                'section_ed' => 'yes',
                'home_section_title' => '',
                'section_category' => '',
            ),
        );

        // Options.
        $newsrepublic_defaults['logo_width_range']                       = 200;

        $newsrepublic_defaults['global_sidebar_layout'] = 'left-sidebar';
        $newsrepublic_defaults['newsrepublic_archive_layout'] = 'default';
        $newsrepublic_defaults['newsrepublic_pagination_layout'] = 'numeric';
        $newsrepublic_defaults['footer_column_layout'] = 3;
        $newsrepublic_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'newsrepublic');
        $newsrepublic_defaults['ed_ticker_slider_autoplay'] = 1;
        $newsrepublic_defaults['ed_header_search'] = 1;
        $newsrepublic_defaults['ed_header_ad'] = 0;
        $newsrepublic_defaults['ed_header_ticker_posts'] = 1;
        $newsrepublic_defaults['ticker_date_format'] = 'l, F jS, Y';
        $newsrepublic_defaults['ed_header_ticker_posts_title'] = esc_html__('Breaking News', 'newsrepublic');
        $newsrepublic_defaults['ed_image_content_inverse'] = 0;
        $newsrepublic_defaults['ed_related_post'] = 1;
        $newsrepublic_defaults['related_post_title'] = esc_html__('More Stories', 'newsrepublic');
        $newsrepublic_defaults['twp_navigation_type'] = 'norma-navigation';
        $newsrepublic_defaults['newsrepublic_single_post_layout'] = 'layout-1';
        $newsrepublic_defaults['ed_post_thumbnail'] = 0;
        $newsrepublic_defaults['ed_post_date'] = 1;
        $newsrepublic_defaults['ed_post_category'] = 1;
        $newsrepublic_defaults['ed_header_overlay'] = 0;
        $newsrepublic_defaults['ed_floating_next_previous_nav'] = 1;       
        $newsrepublic_defaults['newsrepublic_header_bg_size'] = 1;
        $newsrepublic_defaults['ed_preloader'] = 1;
        $newsrepublic_defaults['ed_header_bg_fixed'] = 0;
        $newsrepublic_defaults['ed_header_bg_overlay'] = 0;
        $newsrepublic_defaults['post_date_format'] = 'default';
        $newsrepublic_defaults['ed_fullwidth_layout'] = 'default';
        $newsrepublic_defaults['ed_post_views'] = 0;
        $newsrepublic_defaults['ed_scroll_top_button'] = 1;

        $newsrepublic_defaults['ed_ticker_bar']                  = 1;
        $newsrepublic_defaults['ed_ticker_bar_date']             = 1;
        $newsrepublic_defaults['ed_tags_wide_layout']             = 1;
        $newsrepublic_defaults['ed_post_tags']                   = 1;
        $newsrepublic_defaults['ed_post_read_later']             = 1;
        $newsrepublic_defaults['ed_ticker_bar_social_nav']             = 1;

        // Pass through filter.
        $newsrepublic_defaults = apply_filters('newsrepublic_filter_default_theme_options', $newsrepublic_defaults);

        return $newsrepublic_defaults;

    }

endif;
