<?php
/**
* Header Options.
*
* @package NewsRepublic
*/

$newsrepublic_default = newsrepublic_get_default_theme_options();
$newsrepublic_page_lists = newsrepublic_page_lists();
$newsrepublic_post_category_list = newsrepublic_post_category_list();

// Header section setting.
$wp_customize->add_section( 'main_header_setting',
	array(
	'title'      => esc_html__( 'Menu Bar Settings', 'newsrepublic' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting('ed_header_search',
    array(
        'default' => $newsrepublic_default['ed_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsrepublic_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_search',
    array(
        'label' => esc_html__('Enable Search Icon', 'newsrepublic'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);


// Header Advertise Area Section.
$wp_customize->add_section( 'main_header_advertisement_section',
    array(
    'title'      => esc_html__( 'Header Advertise Section', 'newsrepublic' ),
    'priority'   => 8,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
    )
);

$wp_customize->add_setting('ed_header_ad',
    array(
        'default' => $newsrepublic_default['ed_header_ad'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsrepublic_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_ad',
    array(
        'label' => esc_html__('Enable Top Advertisement Area', 'newsrepublic'),
        'section' => 'main_header_advertisement_section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('header_ad_image',
    array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control( new WP_Customize_Image_Control(
    $wp_customize,
    'header_ad_image',
        array(
            'label'      => esc_html__( 'Top Header AD Image', 'newsrepublic' ),
            'section'    => 'main_header_advertisement_section',
            'active_callback' => 'newsrepublic_header_ad_ac',
        )
    )
);

$wp_customize->add_setting('ed_header_link',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control('ed_header_link',
    array(
        'label' => esc_html__('AD Image Link', 'newsrepublic'),
        'section' => 'main_header_advertisement_section',
        'type' => 'text',
        'active_callback' => 'newsrepublic_header_ad_ac',
    )
);


// Archive Layout.
$wp_customize->add_setting(
    'newsrepublic_header_bg_size',
    array(
        'default'           => $newsrepublic_default['newsrepublic_header_bg_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint'
    )
);
$wp_customize->add_control('newsrepublic_header_bg_size',
        array(
            'type'       => 'select',
            'section'       => 'header_image',
            'label'         => esc_html__( 'Header BG Size', 'newsrepublic' ),
            'choices'       => array(
                '1'  => esc_html__( 'Small', 'newsrepublic' ),
                '2'  => esc_html__( 'Medium', 'newsrepublic' ),
                '3'  => esc_html__( 'Large', 'newsrepublic' ),
            )
        )
);

$wp_customize->add_setting('ed_header_bg_fixed',
    array(
        'default' => $newsrepublic_default['ed_header_bg_fixed'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsrepublic_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_bg_fixed',
    array(
        'label' => esc_html__('Enable Fixed BG', 'newsrepublic'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_header_bg_overlay',
    array(
        'default' => $newsrepublic_default['ed_header_bg_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsrepublic_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_bg_overlay',
    array(
        'label' => esc_html__('Enable BG Overlay', 'newsrepublic'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
);
