<?php
/**
 * Pagination Settings
 *
 * @package NewsRepublic
 */

$newsrepublic_default = newsrepublic_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'newsrepublic_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'newsrepublic' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'newsrepublic_pagination_layout',
	array(
	'default'           => $newsrepublic_default['newsrepublic_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'newsrepublic_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'newsrepublic' ),
	'section'     => 'newsrepublic_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','newsrepublic'),
		'numeric' => esc_html__('Numeric Method','newsrepublic'),
		'load-more' => esc_html__('Ajax Load More Button','newsrepublic'),
		'auto-load' => esc_html__('Ajax Auto Load','newsrepublic'),
	),
	)
);