<?php
/**
* Sections Repeater Options.
*
* @package NewsRepublic
*/

$newsrepublic_post_category_list = newsrepublic_post_category_list();
$newsrepublic_defaults = newsrepublic_get_default_theme_options();
$home_sections = array(
        
        'main-banner' => esc_html__('Main Banner Slider','newsrepublic'),
        'banner-blocks-1' => esc_html__('Slider & Tab Block','newsrepublic'),
        'latest-posts-blocks' => esc_html__('Latest Posts Block','newsrepublic'),
        'tiles-blocks' => esc_html__('Tiles Block','newsrepublic'),
        'advertise-blocks' => esc_html__('Advertise Block','newsrepublic'),
        'home-widget-area' => esc_html__('Widgets Area Block','newsrepublic'),
        'you-may-like-blocks' => esc_html__('You May Like Block','newsrepublic'),

    );

$newsrepublic_video_aspect_ratio = newsrepublic_video_aspect_ratio();
$newsrepublic_video_autoplay = newsrepublic_video_autoplay();

// Slider Section.
$wp_customize->add_section( 'home_sections_repeater',
	array(
	'title'      => esc_html__( 'Homepage Sections', 'newsrepublic' ),
	'priority'   => 150,
	'capability' => 'edit_theme_options',
	)
);


// Recommended Posts Enable Disable.
$wp_customize->add_setting( 'twp_newsrepublic_home_sections_4', array(
    'sanitize_callback' => 'newsrepublic_sanitize_repeater',
    'default' => json_encode( $newsrepublic_defaults['twp_newsrepublic_home_sections_4'] ),
    // 'transport'           => 'postMessage',
));

$wp_customize->add_control(  new Newsrepublic_Repeater_Controler( $wp_customize, 'twp_newsrepublic_home_sections_4', 
    array(
        'section' => 'home_sections_repeater',
        'settings' => 'twp_newsrepublic_home_sections_4',
        'newsrepublic_box_label' => esc_html__('New Section','newsrepublic'),
        'newsrepublic_box_add_control' => esc_html__('Add New Section','newsrepublic'),
        'newsrepublic_box_add_button' => false,
    ),
        array(
            'section_ed' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Section', 'newsrepublic' ),
                'class'       => 'home-section-ed'
            ),
            'home_section_type' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Section Type', 'newsrepublic' ),
                'options'     => $home_sections,
                'class'       => 'home-section-type'
            ),
            'home_section_title' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields you-may-like-blocks-fields'
            ),
            'section_slide_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'newsrepublic' ),
                'options'     => $newsrepublic_post_category_list,
                'class'       => 'home-repeater-fields-hs'
            ),
            'section_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category', 'newsrepublic' ),
                'options'     => $newsrepublic_post_category_list,
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields you-may-like-blocks-fields'
            ),
             'tiles_post_per_page' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Posts Per Page', 'newsrepublic' ),
                'options'     => array( 
                    '5' => 5,
                    '10' => 10,
                ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
             'home_section_column_1' => array(
                  'type'        => 'seperator',
                  'seperator_text'       => esc_html__( 'Column 1', 'newsrepublic' ),
                  'class'       => 'home-repeater-fields-hs main-banner-fields'
              ),
              'home_section_title_4' => array(
                 'type'        => 'text',
                 'label'       => esc_html__( 'Block Title', 'newsrepublic' ),
                 'class'       => 'home-repeater-fields-hs main-banner-fields'
             ),

              'section_post_cat_1' => array(
                  'type'        => 'select',
                  'label'       => esc_html__( 'Select Category', 'newsrepublic' ),
                  'options'     => $newsrepublic_post_category_list,
                  'class'       => 'home-repeater-fields-hs main-banner-fields'
              ),
              'home_section_column_2' => array(
                   'type'        => 'seperator',
                   'seperator_text'       => esc_html__( 'Column 2', 'newsrepublic' ),
                   'class'       => 'home-repeater-fields-hs main-banner-fields'
               ),
             'home_section_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Slider Area Title', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'section_post_slide_cat' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'newsrepublic' ),
                'options'     => $newsrepublic_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),


            'advertise_image' => array(
                'type'        => 'upload',
                'label'       => esc_html__( 'Advertise Image', 'newsrepublic' ),
                'description' => esc_html__( 'Recommended Image Size is 970x250 PX.', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'advertise_link' => array(
                'type'        => 'link',
                'label'       => esc_html__( 'Advertise Image Link', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'ed_arrows_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Arrows', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'ed_dots_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Dot', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),

            'ed_autoplay_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Autoplay', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'home_section_column_3' => array(
                 'type'        => 'seperator',
                 'seperator_text'       => esc_html__( 'Column 3', 'newsrepublic' ),
                 'class'       => 'home-repeater-fields-hs main-banner-fields'
             ),
            'home_section_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Tab Area Title', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'home_section_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Block Title', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields'
            ),
            'ed_tab' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Tab', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs ed-tabs-ac banner-blocks-1-fields'
            ),
            'cat_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title One', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_1' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category One', 'newsrepublic' ),
                'options'     => $newsrepublic_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'cat_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Two', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_2' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Two', 'newsrepublic' ),
                'options'     => $newsrepublic_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'cat_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Three', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_3' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Three', 'newsrepublic' ),
                'options'     => $newsrepublic_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_category_4' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Four', 'newsrepublic' ),
                'options'     => $newsrepublic_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_vertical_list_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Select Category', 'newsrepublic' ),
                'options'     => $newsrepublic_post_category_list,
                'class'       => 'home-repeater-fields-hs main-banner-fields'
            ),
            'section_video_ratio' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Video Aspect Ratio', 'newsrepublic' ),
                'options'     => $newsrepublic_video_aspect_ratio,
                'class'       => 'home-repeater-fields-hs latest-posts-blocks-fields'
            ),
            'section_video_autoplay' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Video Autoplay', 'newsrepublic' ),
                'options'     => $newsrepublic_video_autoplay,
                'class'       => 'home-repeater-fields-hs latest-posts-blocks-fields'
            ),
            'ed_flip_column' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Flip Column Right to Left', 'newsrepublic' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
    )
));

// Info.
$wp_customize->add_setting(
    'newsrepublic_notiece_info',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Newsrepublic_Info_Notiece_Control( 
        $wp_customize,
        'newsrepublic_notiece_info',
        array(
            'settings' => 'newsrepublic_notiece_info',
            'section'       => 'home_sections_repeater',
            'label'         => esc_html__( 'Info', 'newsrepublic' ),
        )
    )
);

$wp_customize->add_setting(
    'newsrepublic_premium_notiece',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Newsrepublic_Premium_Notiece_Control( 
        $wp_customize,
        'newsrepublic_premium_notiece',
        array(
            'label'      => esc_html__( 'Home Page Blocks', 'newsrepublic' ),
            'settings' => 'newsrepublic_premium_notiece',
            'section'       => 'home_sections_repeater',
        )
    )
);