<?php
/**
 *
 * Front Page
 *
 * @package NewsRepublic
 */

get_header();


    $newsrepublic_default = newsrepublic_get_default_theme_options();
    $sidebar = esc_attr( get_theme_mod( 'global_sidebar_layout', $newsrepublic_default['global_sidebar_layout'] ) );
    

    if( is_single() || is_page() ){

        $newsrepublic_post_sidebar = esc_attr( get_post_meta( $post->ID, 'newsrepublic_post_sidebar_option', true ) );
        if( $newsrepublic_post_sidebar == 'global-sidebar' || empty( $newsrepublic_post_sidebar ) ){

            $sidebar = $sidebar;
        }else{
            $sidebar = $newsrepublic_post_sidebar;
        }

    }
    $twp_newsrepublic_home_sections_4 = get_theme_mod( 'twp_newsrepublic_home_sections_4', json_encode( $newsrepublic_default['twp_newsrepublic_home_sections_4'] ) );
    $repeat_times = 1;
    $paged_active = false;

    if ( !is_paged() ) {
        $paged_active = true;
    }

    $twp_newsrepublic_home_sections_4 = json_decode( $twp_newsrepublic_home_sections_4 );

    if( $twp_newsrepublic_home_sections_4 ){ ?>

        <?php
        foreach ( $twp_newsrepublic_home_sections_4 as $newsrepublic_home_section ) {

            $home_section_type = isset( $newsrepublic_home_section->home_section_type ) ? $newsrepublic_home_section->home_section_type : '';

            switch ($home_section_type) {

                case 'main-banner':

                    $ed_slider_blocks = isset( $newsrepublic_home_section->section_ed ) ? $newsrepublic_home_section->section_ed : '';
                    if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                        newsrepublic_main_banner( $newsrepublic_home_section , $repeat_times);
                    }

                break;

                case 'latest-posts-blocks':

                    $ed_latest_posts_blocks = isset( $newsrepublic_home_section->section_ed ) ? $newsrepublic_home_section->section_ed : '';
                    if ( $ed_latest_posts_blocks == 'yes' ) {
                        newsrepublic_latest_blocks( $newsrepublic_home_section  , $repeat_times);
                    }

                break;

                case 'tiles-blocks':

                    $ed_tiles_block = isset( $newsrepublic_home_section->section_ed ) ? $newsrepublic_home_section->section_ed : '';
                    if ( $ed_tiles_block == 'yes' && $paged_active ) {
                        newsrepublic_tiles_block_section( $newsrepublic_home_section , $repeat_times);
                    }

                break;

                case 'banner-blocks-1':

                    $ed_banner_blocks_1 = isset( $newsrepublic_home_section->section_ed ) ? $newsrepublic_home_section->section_ed : '';
                    if ( $ed_banner_blocks_1 == 'yes' && $paged_active ) {
                        newsrepublic_banner_block_1_section( $newsrepublic_home_section , $repeat_times);
                    }

                break;

                case 'advertise-blocks':

                    $ed_advertise_blocks = isset( $newsrepublic_home_section->section_ed ) ? $newsrepublic_home_section->section_ed : '';
                    if ( $ed_advertise_blocks == 'yes' && $paged_active ) {
                        newsrepublic_advertise_block( $newsrepublic_home_section , $repeat_times);
                    }
                    
                break;

                case 'home-widget-area':

                    $ed_home_widget_area = isset( $newsrepublic_home_section->section_ed ) ? $newsrepublic_home_section->section_ed : '';
                    if ( $ed_home_widget_area == 'yes' && $paged_active ) {
                        newsrepublic_case_home_widget_area_block( $newsrepublic_home_section , $repeat_times);
                    }
                    
                break;

                case 'you-may-like-blocks':

                    $ed_you_may_like_area = isset( $newsrepublic_home_section->section_ed ) ? $newsrepublic_home_section->section_ed : '';
                    if ( $ed_you_may_like_area == 'yes' && $paged_active ) {
                        newsrepublic_you_may_like_block_section( $newsrepublic_home_section , $repeat_times);
                    }
                    
                break;

                default:

                break;

            }

        $repeat_times++;
        } 
        ?>

    <?php
    }

get_footer();
