<?php
/**
 * Header Layout 2
 *
 * @package NewsRepublic
 */
$newsrepublic_default = newsrepublic_get_default_theme_options();
$newsrepublic_header_bg_size = get_theme_mod( 'newsrepublic_header_bg_size', $newsrepublic_default['newsrepublic_header_bg_size'] );
$ed_header_bg_fixed = get_theme_mod( 'ed_header_bg_fixed', $newsrepublic_default['ed_header_bg_fixed'] );
$ed_header_bg_overlay = get_theme_mod( 'ed_header_bg_overlay', $newsrepublic_default['ed_header_bg_overlay'] ); ?>

<header id="site-header" class="theme-header <?php if( $ed_header_bg_overlay ){ echo 'header-overlay-enabled'; } ?>" role="banner">
    <?php newsrepublic_theme_topbar(); ?>



    <div class="header-mainbar <?php if( get_header_image() ){ if( $ed_header_bg_fixed ){ echo 'data-bg-fixed'; } ?> data-bg header-bg-<?php echo esc_attr( $newsrepublic_header_bg_size ); ?> <?php } ?> "  <?php if( get_header_image() ){ ?> data-background="<?php echo esc_url(get_header_image()); ?>" <?php } ?>>
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">
            </div>
            <div class="header-item header-item-center">
                <div class="header-titles">
                    <?php
                    newsrepublic_site_logo();
                    newsrepublic_site_description();
                    ?>
                </div>
            </div>
            <div class="header-item header-item-right">
            </div>
        </div>
    </div>


    
    <div class="header-navbar">
        <div class="twp-progress-bar" id="progressbar"></div>
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">
                <div class="header-navigation-wrapper">
                    <div class="site-navigation">
                        <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'newsrepublic'); ?>" role="navigation">
                            <ul class="primary-menu theme-menu">
                                <?php
                                if( has_nav_menu('newsrepublic-primary-menu') ){

                                    wp_nav_menu(
                                        array(
                                            'container' => '',
                                            'items_wrap' => '%3$s',
                                            'theme_location' => 'newsrepublic-primary-menu',
                                            'walker' => new newsrepublic\Newsrepublic_Walkernav(),
                                        )
                                    );

                                }else{

                                    wp_list_pages(
                                        array(
                                            'match_menu_classes' => true,
                                            'show_sub_menu_icons' => true,
                                            'title_li' => false,
                                            'walker' => new Newsrepublic_Walker_Page(),
                                        )
                                    );

                                } ?>
                            </ul>
                        </nav>
                    </div>
                </div>

            </div>

            <div class="header-item header-item-right">
                <?php main_navigation_extras(); ?>
            </div>
        </div>
    </div>

    <div class="theme-header-ticker hidden-sm-element">
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">
                <?php newsrepublic_header_ticker_posts(); ?>
            </div>
            <div class="header-item header-item-right">
                <div class="ticker-controls">
                    <button type="button" class="slide-btn theme-aria-button slide-prev-ticker">
                        <span class="btn__content" tabindex="-1">
                            <?php newsrepublic_theme_svg('chevron-left'); ?>
                        </span>
                    </button>

                    <button type="button" class="slide-btn theme-aria-button ticker-control ticker-control-play">
                        <span class="btn__content" tabindex="-1">
                            <?php newsrepublic_theme_svg('play'); ?>
                        </span>
                    </button>

                    <button type="button" class="slide-btn theme-aria-button ticker-control ticker-control-pause pp-button-active">
                        <span class="btn__content" tabindex="-1">
                            <?php newsrepublic_theme_svg('pause'); ?>
                        </span>
                    </button>

                    <button type="button" class="slide-btn theme-aria-button slide-next-ticker">
                        <span class="btn__content" tabindex="-1">
                            <?php newsrepublic_theme_svg('chevron-right'); ?>
                        </span>
                    </button>
                </div>
            </div>
        </div>
    </div>

</header>
